How to install Vulture’s isometric graphics in Ubuntu

Sponsored Link
Vulture's is an isometric graphics interface to NetHack and SlashEM.Vulture's is a fork of the now dead "Falcon's Eye" project.An isometric graphics interface to NetHack. The interface was called "Falcon's Eye", because the viewpoint resembles a "bird's eye view".This fork of the original "Falcon's Eye" is called "Vulture's Eye". "Vulture's Claw" is the same interface, but for Slash'EM.

Install Vulture's in Ubuntu

Preparing your system

First you need to install the following dependencies

sudo apt-get install byacc flex libsdl1.2-dev libsdl-image1.2-dev libsdl-mixer1.2-dev libsdl-ttf2.0-dev

Now you need to download the latest version of Vulture's from here using the following command in /usr/local/

wget http://www.darkarts.co.za/projects/vultures/attachment/wiki/downloads/2.1.0/vultures-2.1.0-full_unix-1.bin.sh

Now you need to make the script executable using the following command

chmod +x vultures-2.1.0-full_unix-1.bin.sh

Now you need to execute the script using the following command

./vultures-2.1.0-full_unix-1.bin.sh

A few compilation warnings later, the game is installed in the vulture directory in your home's. You can play either Vulture's Eye or Claw.

Once you open your game screenshot

Sponsored Link

Incoming search terms:

Related posts

13 thoughts on “How to install Vulture’s isometric graphics in Ubuntu

  1. This is all well and good if you like filling up up your home directory with executables (other than the ones you are building in your source directories). What if you want to do things *CORRECTLY* and put executables in system locations?

    [Reply]

  2. wget http://www.darkarts.co.za/projects/vultures/attachment/wiki/downloads/2.1.0/vultures-2.1.0-full_unix-1.bin.sh
    The site is down. But there is an alternate:
    wget http://usrsrc.org/svn/vultures/releases/2.1.0/vultures-2.1.0-full_unix-1.bin.sh

    [Reply]

  3. James:

    Download source from here: http://www.darkarts.co.za/project/vultures/download
    Install build-dependencies. (will be identified if you continue without)
    Untar
    Run patch for debian pckg: patch -Np1 -i dist/linux/debian/debian.patch
    Build pckg: dpkg-buildpackage -rfakeroot
    Install pckg: sudo dpkg -i .deb
    If it sais you are missing dependencies: apt-get install -f


    Øyle

    [Reply]

  4. For Ubuntu 8.10 the instructions on here mostly worked, the only thing that was missing is ‘bison’ on the apt-get info

    I downloaded the SH file to a temp directory and ran it from there so putting stuff in /usr/local is not needed.

    [Reply]

  5. I was quite taken with Falcon’s Eye in the previous version of Ubuntu (8.04). I really, ru-heely wanted to play Vulture’s Eye but this game is beyond my capabilities for installation. Sometimes the experts forget that it’s not always *obvious* or *easy* for those with less experience to untar, compile, etc. I even have the on-and-off guidance of a good friend with lots of Fedora experience (admin of a company). I’m not quite as bad as the “Where’s the Any key?” version of a BOFH, but struggling with this for the past month has sure made me feel that way.

    Very depressing.

    I’m glad, though, that *some* folks are successful and happily having their hitpoints sucked away by fire ants and rothes.

    [Reply]

  6. This is what I did, exactly as I did it in Ubuntu 8.1

    Open up the terminal and paste this in:

    sudo apt-get install byacc flex libsdl1.2-dev libsdl-image1.2-dev libsdl-mixer1.2-dev libsdl-ttf2.0-dev

    As pointed out by a poster above me, you may also need to add bison to the above command, but I know that I already had it so it didn’t pose a problem.
    You can also go into Synaptic and search for each of those, you will be able to find hem all.

    After it’s all installed, type:

    cd /usr/local/

    Into the terminal.

    Next, use this command:

    sudo wget http://downloads.usrsrc.org/vultures/2.1.2/vultures-2.1.2-full_unix-1.bin.sh

    That will install the newest build from the new website, which for reference was working on Apr. 13, 2009.

    After it has downloaded, paste this into the terminal:

    sudo chmod +x vultures-2.1.2-full_unix-1.bin.sh

    There really shouldn’t be any output from that, it should simply drop down a line. To the untrained eye, it will look like it did nothing.

    And then paste in:

    ./vultures-2.1.2-full_unix-1.bin.sh

    The sudo command is not necessary there.

    Now, if any of these do not seem to work, double-check that the file name that I gave was correct, and double-check that you did it right.
    For a little background on the “Sudo” command, it’s the Super-User command, and without it you can’t do much in /usr/local/.
    When prompted for your “sudo password” simply put in the password you use to login.
    Also, when you do put in your sudo password, it will look like you’re inputting nothing. Type carefully.

    Anyway, enjoy. I did notice that it is quite buggy, but playable.
    Oh, you all just got beat by a 16-year-old ;)
    Calm down a bit Mander, though I do admire your dedication to this game, it’s been sucking my life away for the past few days.

    [Reply]

  7. rfry11, you are one top-notch kid. The directions you left worked *perfectly*. A thousand blessings upon your house! It installed well on my work 8.04 and I’ll set it up on my 8.10 at home. …when does the 9.04 come out?

    I’m so happy I hardly care that I got seriously pwned. You did a great job explaining things in step-by-step detail and for that I am extremely appreciative. You could have a great future in teaching/training/instruction.

    Thanks again.

    [Reply]

  8. Wow, thanks a lot mate. It’s coming out in around 2 weeks. I do have a question though, does it ever exit correctly for you, or does it just make the window impervious to being closed? I tried quitting the window using the in-game menu, or by clicking the close window arrow, and by opening up the resource manager and terminating the process, but it seems impervious to everything. It doesn’t bother me too much, I prefer Slash’EM’s proprietary 2.5D Isometric graphics anyway, and I don’t think I’ll end up keeping Vulture on, but I thought it was a curious issue.

    [Reply]

  9. I’m having the same trouble as Mander, but this time with Jaunty. I followed rfy11’s instructions, but I still get the empty subdirectories. Any pertinent suggestions?

    [Reply]

  10. I haven’t used Vulture on 9.04, but if I had to guess I’d say that the file may not like the new version of Ubuntu. Seeing as Vulture hasn’t been updated since (unless I’ve missed something), try just opening up Add/Remove Programs and going with GTK Slash’EM. It’s not Nethack, but it’s virtually Nethack + A Whole Lot Of Other Stuff, and the Isometric tileset it comes with is really nice, just a bit worse than Vulture’s.
    As another alternative, you can download and use the Windows version of Nethack. I found I like its 2d tileset the best, and it runs great in Wine. The nice thing is that you can keep everything (game, bones files, saves, ect) in one folder, and take it around with you. I’ve currently got it on my flash drive, and it gets me through school at times.

    [Reply]

  11. I DID IT!!!
    First I downloaded and installed the dependency.deb file for the data of Falcons-Eye. Here->http://archive.ubuntu.com/ubuntu/pool/universe/f/falconseye/falconseye-data_1.9.3-16ubuntu2_all.deb

    I used the Debian package installer.
    You may want the older one if your system is older… Then I downloaded and installed the game->http://archive.ubuntu.com/ubuntu/pool/universe/f/falconseye/falconseye_1.9.3-16ubuntu2_i386.deb

    … and it just worked….. I am on 10.04 LTS Lucid Lynx and have been trying to do this on other systems for a year now(on and off).
    The game is just like I remember it.

    [Reply]

    D Reply:

    Thank you! Works perfectly 0n Ubuntu 12.04 LTS! Such a simple solution!

    [Reply]

  12. Hi,
    I followed the instructions and I get to the script and it comes to a halt.

    jason@quadclops:/usr/local$ sudo chmod +x vultures-2.1.0-full_unix-1.bin.sh
    jason@quadclops:/usr/local$ ./vultures-2.1.0-full_unix-1.bin.sh
    ./vultures-2.1.0-full_unix-1.bin.sh: line 1: syntax error near unexpected token `newline’
    ./vultures-2.1.0-full_unix-1.bin.sh: line 1: `’
    jason@quadclops:/usr/local$

    I’m running Ubuntu 10.10, with classic gnome.
    Love the game, I just want it from source so I can get inside it. Thanks for any help you can lend!

    [Reply]

Leave a comment

Your email address will not be published. Required fields are marked *